from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.mxmImapClient.config import PROJECTNAME, GLOBALS

from Products.CMFCore.utils import getToolByName
from StringIO import StringIO
import string

def install(self):
    out = StringIO()
    installTypes(self, out, listTypes(PROJECTNAME), PROJECTNAME)
    install_subskin(self, out, GLOBALS)
    out.write("Successfully installed %s." % PROJECTNAME)
    return out.getvalue()

skin_names = ('mxm_imapclient',)

def uninstall(self):
    "Just remove skin names from layers"
    out=StringIO()
    skinsTool = getToolByName(self, 'portal_skins')
    skins = skinsTool.getSkinSelections()
    for skin in skins:
        path = skinsTool.getSkinPath(skin)
        path = map(string.strip, string.split(path,','))
        path = ','.join([n for n in path if not n in skin_names])
        skinsTool.addSkinSelection(skin, path)
    out.write('Uninstalled succesfully\n')
    return out.getvalue()

